#!/bin/bash

# Démarrer les conteneurs en mode détaché
docker-compose up -d

# Exécuter le script à l'intérieur du conteneur 'dolistripe'
docker exec --user root dolistripe /mnt/dolistripe/launch.sh

# Attendre la fin du script et arrêter les conteneurs
docker-compose down

# Optionnel : Supprimer tous les conteneurs arrêtés, réseaux inutilisés, images et éventuellement, volumes
# docker-compose down --rmi all --volumes

echo "Operation completed"
