@echo off
REM Start the containers in detached mode
docker-compose up -d

REM Execute the script inside the 'dolistripe' container
docker exec --user root dolistripe /mnt/dolistripe/launch.sh

REM Wait for the script to complete and shut down the containers
docker-compose down

REM Optional: Remove all stopped containers, unused networks, images, and optionally, volumes
REM docker-compose down --rmi all --volumes

echo Operation completed